Print This Page

DME Satellite firmware V3.82 for Win (Previous version)

Important Notice

  • The hardware specification for DME Firmware V3.6x or earlier differs from the one for Firmware V3.8x or later. Therefore firmware V3.6x or earlier cannot be upgraded to V3.81 or later. Also, firmware V3.81 or later cannot be downgraded to V3.6x or earlier. (This does not apply to the SP2060 or ICP1.)
    If you need to upgrade your DME from V3.6 or earlier to V3.81 or later, please contact your Yamaha dealer.
  • Save an up-to-date DME project file (*.daf). Don't update unless an up-to-date &quote;.daf&quote; file has already been saved on your computer. Without the &quote;.daf&quote; file, you will not be able to restore DME operation.
  • When DME64N/24N units running firmware version 3.5x or earlier and DME64N/24N or DME Satellite units running firmware versions 3.81 or later are combined in the same device group, DME64N/24N units running firmware version 3.5x or earlier cannot be designated as the group master.

DME Designer/Firmware compatibility

DME Designer Version Firmware Version
  DME-N, ICP1 DME Satellite SP2060
3.8.0 3.87, 3.86, 3.85, 3.84, 3.83, 3.82, 3.81*, 3.60, 3.59, 3.58, 3.57, 3.56, 3.55, 3.52, 3.51, 3.11, 3.10, 3.09, 3.06, 3.04, 3.02, 3.01 3.87, 3.86, 3.85, 3.84, 3.83, 3.82, 3.81*, 3.60, 3.59, 3.58, 3.57, 3.56, 3.55, 3.52, 3.51, 3.11, 3.10, 3.09, 3.06, 3.04, 3.03, 3.01 1.33, 1.32, 1.31, 1.30, 1.24, 1.23, 1.22, 1.21
3.5.1, 3.0.2, 3.0.1, 3.0.0 3.61, 3.60, 3.59, 3.58, 3.57, 3.56, 3.55, 3.52, 3.51, 3.11, 3.10, 3.09, 3.06, 3.04, 3.02, 3.01 3.61, 3.60, 3.59, 3.58, 3.57, 3.56, 3.55, 3.52, 3.51, 3.11, 3.10, 3.09, 3.06, 3.04, 3.03, 3.01 1.32, 1.31, 1.30, 1.24, 1.23, 1.22, 1.21

If the Program Ducker component is used, both DME firmware and DME Designer versions must be V3.5x or greater.

* Firmware version 3.81 is not available for download.

Main Revisions and Enhancements

Fixed Bugs

  • Fixed a problem in which sound and display might not match when the Remote Control command was transmitted to the DME device continuously.

Improvements on the previous version (V3.81)

  • The DME24N/64N can now be set as the device group master when a device group is created, connecting the DME64N/24N (V3.8x or later) and the DME Satellite.
  • The processing speed for receiving via the Remote Control has been improved.

Fixed Bugs on the previous version (V3.81)

  • Fixed problems in which the Scene Store and Recall functions might not work when the Parameter Link settings were not appropriate by editing the Configuration.
  • Fixed problems in which the Wav File Player might not play/stop appropriately when the power was turned on and the Scene Recall function worked.
  • Fixed problems in which the status of the input processing was not applied to [GPI] Connectors appropriately when the power was turned on, if Mute or GPI Lock were assigned to [GPI] Connectors.

License agreement and software

DME Satellite firmware V3.82 for Win (Previous version)

You also need to download these files.

You are recommended to download these files.

Return to Top